## qt6-httpserver 6.4.2

=== CMakeLists.txt ===
# Generated from qthttpserver.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtHttpServer
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt HTTP Server"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Concurrent WebSockets)

if(ANDROID)
    # Android tests needs to link against Qt6::Gui
    find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui)
endif()

qt_build_repo()

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(httpserver)

qt_examples_build_end()

=== src/CMakeLists.txt ===
# Generated from src.pro.

add_subdirectory(httpserver)

=== examples/httpserver/CMakeLists.txt ===
qt_internal_add_example(addressbookserver)
qt_internal_add_example(afterrequest)
qt_internal_add_example(simple)

=== src/httpserver/CMakeLists.txt ===
# Generated from httpserver.pro.

#####################################################################
## HttpServer Module:
#####################################################################

qt_internal_add_module(HttpServer
    SOURCES
        qabstracthttpserver.cpp qabstracthttpserver.h qabstracthttpserver_p.h
        qhttpserver.cpp qhttpserver.h qhttpserver_p.h
        qhttpserverliterals.cpp qhttpserverliterals_p.h
        qhttpserverrequest.cpp qhttpserverrequest.h qhttpserverrequest_p.h
        qhttpserverresponder.cpp qhttpserverresponder.h qhttpserverresponder_p.h
        qhttpserverresponse.cpp qhttpserverresponse.h qhttpserverresponse_p.h
        qhttpserverrouter.cpp qhttpserverrouter.h qhttpserverrouter_p.h
        qhttpserverrouterrule.cpp qhttpserverrouterrule.h qhttpserverrouterrule_p.h
        qhttpserverrouterviewtraits.h
        qhttpserverviewtraits.h
        qhttpserverviewtraits_impl.h
        qthttpserverglobal.h
    LIBRARIES
        Qt::CorePrivate
        Qt::NetworkPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::NetworkPrivate
    GENERATE_CPP_EXPORTS
)

## Scopes:
#####################################################################

qt_internal_extend_target(HttpServer CONDITION TARGET Qt::WebSockets
    LIBRARIES
        Qt::WebSocketsPrivate
    PUBLIC_LIBRARIES
        Qt::WebSockets
    PRIVATE_MODULE_INTERFACE
        Qt::WebSocketsPrivate
)

qt_internal_add_docs(HttpServer
                     ../../doc/config/qthttpserver.qdocconf
)

=== tests/auto/CMakeLists.txt ===
# Generated from auto.pro.

add_subdirectory(cmake)
add_subdirectory(qabstracthttpserver)
add_subdirectory(qhttpserver)
add_subdirectory(qhttpserverresponder)
add_subdirectory(qhttpserverrouter)
add_subdirectory(qhttpserverresponse)

=== examples/httpserver/addressbookserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(addressbookserver LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/httpserver/${PROJECT_NAME}")

find_package(Qt6 REQUIRED COMPONENTS HttpServer)

qt_add_executable(addressbookserver
    main.cpp
)

target_link_libraries(addressbookserver PRIVATE
    Qt::HttpServer
)

install(TARGETS addressbookserver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0

# This is an automatic test for the CMake configuration files.
# To run it manually,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) # Run cmake on this directory
#    `$qt_prefix/bin/qt-cmake ..` or `cmake -DCMAKE_PREFIX_PATH=/path/to/qt ..`
# 4) ctest         # Run ctest

cmake_minimum_required(VERSION 3.16)
project(httpserver_cmake_tests)
enable_testing()

set(required_packages Core HttpServer)

# Setup the test when called as a completely standalone project.
if(TARGET Qt6::Core)
    # Tests are built as part of the repository's build tree.
    # Setup paths so that the Qt packages are found.
    qt_internal_set_up_build_dir_package_paths()
endif()

find_package(Qt6 REQUIRED COMPONENTS ${required_packages})

# Setup common test variables which were previously set by ctest_testcase_common.prf.
set(CMAKE_MODULES_UNDER_TEST "${required_packages}")

foreach(qt_package ${CMAKE_MODULES_UNDER_TEST})
    set(package_name "${QT_CMAKE_EXPORT_NAMESPACE}${qt_package}")
    if(${package_name}_FOUND)
        set(CMAKE_${qt_package}_MODULE_MAJOR_VERSION "${${package_name}_VERSION_MAJOR}")
        set(CMAKE_${qt_package}_MODULE_MINOR_VERSION "${${package_name}_VERSION_MINOR}")
        set(CMAKE_${qt_package}_MODULE_PATCH_VERSION "${${package_name}_VERSION_PATCH}")
    endif()
endforeach()

include("${_Qt6CTestMacros}")

set(module_includes
    HttpServer QHttpServer
)

_qt_internal_test_module_includes(
     ${module_includes}
)

=== tests/auto/qhttpserverresponder/CMakeLists.txt ===
# Generated from qhttpserverresponder.pro.

#####################################################################
## tst_qhttpserverresponder Test:
#####################################################################

# Collect test data
list(APPEND test_data "data/")

qt_internal_add_test(tst_qhttpserverresponder
    SOURCES
        tst_qhttpserverresponder.cpp
    PUBLIC_LIBRARIES
        Qt::HttpServer
    TESTDATA ${test_data}
)

=== tests/auto/qhttpserverresponse/CMakeLists.txt ===
# Generated from qhttpserverresponse.pro.

#####################################################################
## tst_qhttpserverresponse Test:
#####################################################################

# Collect test data
list(APPEND test_data "data/")

qt_internal_add_test(tst_qhttpserverresponse
    SOURCES
        tst_qhttpserverresponse.cpp
    PUBLIC_LIBRARIES
        Qt::HttpServer
    TESTDATA ${test_data}
)

=== tests/auto/qhttpserverrouter/CMakeLists.txt ===
# Generated from qhttpserverrouter.pro.

#####################################################################
## tst_qhttpserverrouter Test:
#####################################################################

qt_internal_add_test(tst_qhttpserverrouter
    SOURCES
        tst_qhttpserverrouter.cpp
    PUBLIC_LIBRARIES
        Qt::HttpServer
)

## qt6-httpserver 6.4.1

=== debian/changelog ===
qt6-httpserver (6.4.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1021681)

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Nov 2022 01:58:10 +0100

=== debian/control ===
Source: qt6-httpserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.4.1+dfsg~),
               qt6-base-private-dev (>= 6.4.1+dfsg~),
               qt6-websockets-private-dev (>= 6.4.1~),
Standards-Version: 4.6.1
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git
Rules-Requires-Root: no

Package: libqt6httpserver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6httpserver6 (= ${binary:Version}), ${misc:Depends}
Description: Qt 6 HTTP Server - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 HTTP Server headers.

## qt6-httpserver 6.4.2

=== debian/changelog ===
qt6-httpserver (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 19 Jan 2023 12:22:00 +0100

qt6-httpserver (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:19 +0100

qt6-httpserver (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:26:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-               qt6-websockets-private-dev (>= 6.4.1~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-websockets-private-dev (>= 6.4.2~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-httpserver 6.6.1

=== debian/changelog ===
qt6-httpserver (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 21:50:41 +0100

qt6-httpserver (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 20:14:04 +0200

qt6-httpserver (6.4.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add binary package for examples (Closes: #1042267).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 00:49:23 +0200

qt6-httpserver (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Jun 2023 00:11:43 +0200

=== debian/control ===
Source: qt6-httpserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
               qt6-websockets-private-dev (>= 6.6.1~),
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git
Rules-Requires-Root: no

Package: libqt6httpserver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6httpserver6 (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 HTTP Server - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 HTTP Server headers.

Package: qt6-httpserver-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 HTTP Server documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 HTTP Server.

Package: qt6-httpserver-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 HTTP Server HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 HTTP Server.

Package: qt6-httpserver-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 HTTP Server examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt HTTP Server submodule.

## qt6-httpserver 6.6.2

=== debian/changelog ===
qt6-httpserver (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:23:17 +0200

qt6-httpserver (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 13:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-websockets-private-dev (>= 6.6.1~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-websockets-private-dev (>= 6.6.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2

## qt6-httpserver 6.7.2

=== debian/changelog ===
qt6-httpserver (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:41:38 +0200

qt6-httpserver (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 15:27:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-websockets-private-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-websockets-private-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git

## qt6-httpserver 6.8.0

=== debian/changelog ===
qt6-httpserver (6.8.0-0deepin1) unstable; urgency=medium

  * update debian/libqt6httpserver6.symbols

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 16:09:55 +0800

qt6-httpserver (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 31 Oct 2024 19:36:01 +0800

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-websockets-private-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-websockets-private-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git

## qt6-httpserver 6.8.1

=== debian/changelog ===
qt6-httpserver (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:55:32 -0600

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: qt6-httpserver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-websockets-private-dev (>= 6.8.0~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-websockets-private-dev (>= 6.8.1~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git

## qt6-httpserver 6.8.2

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from auto.pro.

add_subdirectory(cmake)
add_subdirectory(qhttpserver)
if (QT_FEATURE_concurrent)
    add_subdirectory(qhttpservermultithreaded)
endif()
add_subdirectory(qhttpserverresponder)
add_subdirectory(qhttpserverrouter)
add_subdirectory(qhttpserverresponse)
if(QT_FEATURE_private_tests)
    add_subdirectory(qabstracthttpserver)
endif()

=== tests/auto/qabstracthttpserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qabstracthttpserver.pro.

#####################################################################
## tst_qabstracthttpserver Test:
#####################################################################

qt_internal_add_test(tst_qabstracthttpserver
    SOURCES
        tst_qabstracthttpserver.cpp
    LIBRARIES
        Qt::HttpServer
        Qt::NetworkPrivate
)

=== debian/changelog ===
qt6-httpserver (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:39:34 +0100

qt6-httpserver (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 10:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: qt6-httpserver
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                ninja-build,
+               pkgconf,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-websockets-private-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-websockets-dev (>= 6.8.2~),
+               qt6-websockets-private-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-httpserver 6.8.3

=== src/httpserver/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from httpserver.pro.
 
 #####################################################################
@@ -8,6 +11,7 @@
     SOURCES
         qabstracthttpserver.cpp qabstracthttpserver.h qabstracthttpserver_p.h
         qhttpserver.cpp qhttpserver.h qhttpserver_p.h
+        qhttpserverhttp1protocolhandler.cpp qhttpserverhttp1protocolhandler_p.h
         qhttpserverliterals.cpp qhttpserverliterals_p.h
         qhttpserverrequest.cpp qhttpserverrequest.h qhttpserverrequest_p.h
         qhttpserverresponder.cpp qhttpserverresponder.h qhttpserverresponder_p.h
@@ -15,8 +19,9 @@
         qhttpserverrouter.cpp qhttpserverrouter.h qhttpserverrouter_p.h
         qhttpserverrouterrule.cpp qhttpserverrouterrule.h qhttpserverrouterrule_p.h
         qhttpserverrouterviewtraits.h
-        qhttpserverviewtraits.h
+        qhttpserverstream.cpp qhttpserverstream_p.h
         qhttpserverviewtraits_impl.h
+        qhttpserverwebsocketupgraderesponse.cpp qhttpserverwebsocketupgraderesponse.h
         qthttpserverglobal.h
     LIBRARIES
         Qt::CorePrivate
@@ -27,11 +32,15 @@
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
         Qt::NetworkPrivate
-    GENERATE_CPP_EXPORTS
 )
 
 ## Scopes:
 #####################################################################
+
+qt_internal_extend_target(HttpServer CONDITION QT_FEATURE_http AND QT_FEATURE_ssl
+    SOURCES
+        qhttpserverhttp2protocolhandler.cpp qhttpserverhttp2protocolhandler_p.h
+)
 
 qt_internal_extend_target(HttpServer CONDITION TARGET Qt::WebSockets
     LIBRARIES

=== examples/httpserver/colorpalette/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(colorpaletteserver LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/httpserver/${PROJECT_NAME}")

find_package(Qt6 REQUIRED COMPONENTS HttpServer Gui Concurrent)

qt_standard_project_setup()

qt_add_executable(colorpaletteserver
    apibehavior.h
    types.h
    utils.h
    main.cpp
)

qt_add_resources(colorpaletteserver "assets"
    PREFIX "/"
    FILES
    assets/colors.json
    assets/users.json
    assets/sessions.json
    assets/img/1-image.jpg
    assets/img/2-image.jpg
    assets/img/3-image.jpg
    assets/img/4-image.jpg
    assets/img/5-image.jpg
    assets/img/6-image.jpg
    assets/img/7-image.jpg
    assets/img/8-image.jpg
    assets/img/9-image.jpg
    assets/img/10-image.jpg
    assets/img/11-image.jpg
    assets/img/12-image.jpg
)

target_link_libraries(colorpaletteserver PRIVATE
    Qt::HttpServer
    Qt::Gui
    Qt::Concurrent
)

install(TARGETS colorpaletteserver
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-httpserver (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:27:04 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-httpserver
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -9,10 +10,10 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-websockets-dev (>= 6.8.2~),
-               qt6-websockets-private-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-websockets-dev (>= 6.8.3~),
+               qt6-websockets-private-dev (>= 6.8.3~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-httpserver 6.9.1

=== debian/changelog ===
qt6-httpserver (6.9.1-0zneon+24.04+noble+stable+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 09 Jul 2025 15:52:09 +0000

qt6-httpserver (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:11:12 +1000

qt6-httpserver (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 17:30:45 +1000

qt6-httpserver (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:18:35 +1000

qt6-httpserver (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:20:01 +1000

qt6-httpserver (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 07:45:08 +1000

qt6-httpserver (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:44:25 +1000

qt6-httpserver (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 09:57:44 +1000

qt6-httpserver (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 13:12:34 +1000

qt6-httpserver (6.5.3-0neon) UNRELEASED; urgency=medium

  * New release

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Apr 2023 16:58:29 +0100

=== debian/control ===
Source: qt6-httpserver
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-websockets-dev (>= 6.9.1~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-httpserver.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-httpserver
Maintainer: Neon CI <neon@kde.org>

Package: qt6-httpserver
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6httpserver6
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-httpserver (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-httpserver-examples
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-httpserver-dev, ${misc:Depends}
Replaces: qt6-httpserver-doc-html
Description: Qt 6 HTTP Server documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server documentation.

Package: libqt6httpserver6
Architecture: all
Depends: qt6-httpserver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-httpserver-doc-html
Architecture: all
Depends: qt6-httpserver-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-httpserver-examples
Architecture: all
Depends: qt6-httpserver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

#### uncomment when bootstrapping a new qt release ####
#export DEB_BUILD_PROFILES := ${DEB_BUILD_PROFILES} nodoc

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qthttpserver-everywhere-src-([\d\.]+\d).tar.xz

## qt6-httpserver 6.9.2

=== examples/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(httpserver)

qt_examples_build_end()

=== doc/snippets/custom-converter/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(custom-converter LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS HttpServer)

qt_standard_project_setup()

qt_add_executable(custom-converter
    main.cpp
)

target_link_libraries(custom-converter PRIVATE
    Qt6::HttpServer
)

=== tests/auto/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2022 The Qt Company Ltd.
-# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0
+# SPDX-License-Identifier: BSD-3-Clause
 
 # This is an automatic test for the CMake configuration files.
 # To run it manually,

=== tests/auto/qabstracthttpserver/CMakeLists.txt ===
--- 
+++ 
@@ -13,4 +13,5 @@
     LIBRARIES
         Qt::HttpServer
         Qt::NetworkPrivate
+        Qt::TestPrivate
 )

=== tests/auto/qhttpserver/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qhttpserver.pro.

#####################################################################
## tst_qhttpserver Test:
#####################################################################

# Collect test data
list(APPEND test_data "data/")

qt_internal_add_test(tst_qhttpserver
    SOURCES
        tst_qhttpserver.cpp
    LIBRARIES
        Qt::HttpServer
        Qt::TestPrivate
    TESTDATA ${test_data}
)

qt_internal_extend_target(tst_qhttpserver CONDITION QT_FEATURE_concurrent
    LIBRARIES
        Qt::Concurrent
)

=== tests/auto/qhttpservermultithreaded/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qhttpservermultithreaded Test:
#####################################################################

qt_internal_add_test(tst_qhttpservermultithreaded
    SOURCES
        tst_qhttpservermultithreaded.cpp
    LIBRARIES
        Qt::HttpServer Qt::Concurrent Qt::TestPrivate
)

=== tests/benchmarks/qhttpserver/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(transfer)

=== tests/benchmarks/qhttpserver/transfer/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_benchmark(tst_bench_qhttpserver_transfer
    SOURCES
        tst_bench_qhttpserver_transfer.cpp
    LIBRARIES
        Qt::HttpServer
        Qt::Test
)

qt_add_resources(tst_bench_qhttpserver_transfer "certs"
    PREFIX "/cert"
    BASE "data/"
    FILES
        "data/localhost.cert"
        "data/localhost.key"
)

=== debian/changelog ===
qt6-httpserver (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 10:27:31 +0100

qt6-httpserver (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:07:34 +0200

qt6-httpserver (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Fri, 12 Sep 2025 19:51:09 +0200

qt6-httpserver (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Remove inactive uploaders, thank you for your work.
  * Remove binary package qt6-httpserver-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Thu, 28 Aug 2025 19:13:38 +0200

qt6-httpserver (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * New binary package qt6-httpserver-private-dev.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Jul 2025 18:19:50 +0200

qt6-httpserver (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 22 Jul 2025 11:33:44 +0200

=== debian/control ===
Source: qt6-httpserver
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.24~),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
               qt6-websockets-dev (>= 6.9.2~),
               qt6-websockets-private-dev (>= 6.9.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-httpserver.git

Package: libqt6httpserver6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6httpserver6 (= ${binary:Version}), ${misc:Depends},
Description: Qt 6 HTTP Server - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 HTTP Server headers.

Package: qt6-httpserver-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 HTTP Server documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 HTTP Server.

Package: qt6-httpserver-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 HTTP Server HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 HTTP Server.

Package: qt6-httpserver-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 HTTP Server examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt HTTP Server submodule.

## qt6-httpserver 6.9.3

=== debian/changelog ===
qt6-httpserver (6.9.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 05 Nov 2025 00:22:05 +0000

qt6-httpserver (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-httpserver (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 16:22:59 +1000

=== debian/control ===
Source: qt6-httpserver
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-websockets-dev (>= 6.9.3~)
Build-Depends-Indep: qt6-base-dev (>= 6.3~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-httpserver.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-httpserver
Maintainer: Neon CI <neon@kde.org>

Package: qt6-httpserver
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6httpserver6
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-httpserver (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-httpserver-examples
Description: Qt 6 HTTP Server library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server library.

Package: qt6-httpserver-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-httpserver-dev, ${misc:Depends}
Replaces: qt6-httpserver-doc-html
Description: Qt 6 HTTP Server documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 HTTP Server documentation.

Package: libqt6httpserver6
Architecture: all
Depends: qt6-httpserver, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-httpserver-doc-html
Architecture: all
Depends: qt6-httpserver-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-httpserver-examples
Architecture: all
Depends: qt6-httpserver-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-httpserver 6.10.0

=== debian/changelog ===
qt6-httpserver (6.10.0-0zneon+24.04+noble+unstable+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 09:08:31 +0000

qt6-httpserver (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:33:51 +1000

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qthttpserver-everywhere-src-([\d\.]+\d).tar.xz

## qt6-httpserver 6.10.1

=== debian/changelog ===
qt6-httpserver (6.10.1-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 05:53:50 +0000

qt6-httpserver (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:03 +1000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-websockets-dev (>= 6.9.3~)
-Build-Depends-Indep: qt6-base-dev (>= 6.3~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+               qt6-base-dev (>= 6.10.1~),
+               qt6-websockets-dev (>= 6.10.1~)
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
-
-#### uncomment when bootstrapping a new qt release ####
-#export DEB_BUILD_PROFILES := ${DEB_BUILD_PROFILES} nodoc
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
@@ -25,7 +22,6 @@
 		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)
